Update Role
Update specified role
Update specified role
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/roles/{id}
COPY
Path Parameters
string
id
Required
id
Request Body
Role
of type(s)
application/json
Optional
{
"name": "string",
"id": "string",
"description": "string",
"bundleKey": "string",
"readOnly": false
}
Responses
200
OK
Returns
Role
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
RightsMapping ,
InlineRole1
{
"name": "string",
"id": "string",
"description": "string",
"bundleKey": "string",
"readOnly": false
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/cloudapi/1.0.0/roles/{id}